DEV Community πŸ‘©β€πŸ’»πŸ‘¨β€πŸ’»

Cover image for End of The Road for Strapi v3
Strapi for Strapi

Posted on • Originally published at strapi.io

End of The Road for Strapi v3

When we officially announced the release of Strapi v4 at the end of 2021, our initial plan was to keep supporting v3 and fixing critical bugs for at least six months. We later extended Strapi v3 support until December 31st, 2022 and did a handful of v3 releases (v3.6.10, and v3.6.11) since then to update dependencies and avoid security vulnerabilities.

In this post, we will provide some clarity on when Strapi v3 will reach the end of life (EOL) and give a summary of all the resources available to users who still have projects running on v3.

When will Strapi v3 reach end of life support, and what does that mean?

As mentioned above, we will continue to support v3 until December 31st, 2022. After that date, your Strapi project running on v3 will continue to work as expected; the only difference is that we will no longer be providing any kind of support to v3 users or issuing any new releases or security patches ourselves.

The Strapi v3 documentation will remain available as a resource to those who might need it.

How can the Strapi team help with the migration?

If you are a Strapi Enterprise Edition customer currently running on Strapi v3, please refer to this support article as a starting point. Customers with a valid Silver or Gold license can also use the support portal to contact our support team, who can answer specific migration questions you might have. If you are a Community Edition user, please refer to the migration resources available below and join the #v3-to-v4-migration channel on discord.

Does the Strapi team provide professional services related to migration?

We do not provide professional services to handle migration on behalf of our customers. Feel free to contact our official Solution partners listed in this directory to inquire about services related to Strapi migration.

What are the migration resources available?

If you’re a Strapi user still running on Strapi v3 and looking to migrate to v4, we invite you to take a look at this migration walkthroughΒ  as well as the links to our official guides covering the following migration topics:

Knowing that the migration from v3 to v4 is not trivial for users who have a lot of data or customization, our team started delivering scripts and tooling to help ease and automate the migration process, including:

Based on the feedback from awesome members of the Strapi community, we also created a dedicated Youtube playlist covering migration examples and FAQ.

Will Strapi v3 application be able to be deployed on Strapi Cloud?

No, only Strapi version 4.4.x or higher will be able to be deployed on Strapi Cloud.

Top comments (0)

DEV

Thank you.

Β 
Thanks for visiting DEV, we’ve worked really hard to cultivate this great community and would love to have you join us. If you’d like to create an account, you can sign up here.